%global srcname pytest-filter-subpackage
%global pythonicname pytest_filter_subpackage


Name:           python-%{srcname}
Version:        0.1.1
Release:        %mkrel 4
Summary:        Pytest plugin for filtering based on sub-packages
Group:          Development/Python
License:        BSD
URL:            https://pypi.python.org/pypi/%{srcname}
Source0:        %{pypi_source}
BuildArch:      noarch

%description
This package contains a simple plugin for the pytest framework that provides
a shortcut to testing all code and documentation for a given sub-package.

%package -n  python3-%{srcname}
Summary:        Pytest plugin for filtering based on sub-packages
%{?python_provide:%python_provide python3-%{srcname}}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-setuptools_scm

%description -n python3-%{srcname}
This package contains a simple plugin for the pytest framework that provides
a shortcut to testing all code and documentation for a given sub-package.

%prep
%autosetup -n %{srcname}-%{version}

# Remove egg files from source
rm -r %{pythonicname}.egg-info


%build
%py3_build


%install
%py3_install


%files -n python3-%{srcname}
%license LICENSE.rst
%doc README.rst CHANGES.rst
%{python3_sitelib}/%{pythonicname}/
%{python3_sitelib}/*.egg-info/


%changelog
* Thu Mar 24 2022 umeabot <umeabot> 0.1.1-4.mga9
+ Revision: 1824786
- Mageia 9 Mass Rebuild

* Wed Feb 16 2022 mrambo3501 <mrambo3501> 0.1.1-3.mga9
+ Revision: 1775812
- rebuild for python-3.10

* Tue Apr 20 2021 daviddavid <daviddavid> 0.1.1-2.mga9
+ Revision: 1717255
- rebuild to fix auto generated provides

* Sun Mar 21 2021 joequant <joequant> 0.1.1-1.mga9
+ Revision: 1707066
- fix headers
- imported package python-pytest-filter-subpackage

